[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemon.OnShutDown

Daemon shutdown

## Declaration

Source position: daemonapp.pp line 113

`published property TDaemon.OnShutDown : TDaemonEvent read FOnShutDown write FOnShutDown;`

## Description

OnShutDown is the event called when the daemon must be shut down. When the system is being shut down and the daemon does not respond to stop signals, then a shutdown message is sent to the daemon. This event can be used to respond to such a message. The daemon process will simply be stopped after this event.

If a thread was started in the OnExecute, this is the place where the thread's executed should be stopped or the thread freed from memory.

## See also

TDaemon.OnStart |  | Daemon start event
TDaemon.OnPause |  | Daemon pause event
ReportStatus |  | Report the current status to the operating system